> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ingest warranty webhook

> Warranty workflow started for the ticket (idempotent per brand + ticket).

### Path parameters

<ParamField path="brand_slug" type="string (string)" required />

### Request body

`WarrantyWebhookPayload`

<ParamField body="ticket_id" type="string" required />

<ParamField body="subject" type="string" />

<ParamField body="message_body" type="string" />

<ParamField body="ticket_type" type="string" />

<ParamField body="first_name" type="string" />

<ParamField body="last_name" type="string" />

<ParamField body="address1" type="string" />

<ParamField body="city" type="string" />

<ParamField body="state" type="string" />

<ParamField body="zipCode" type="string" />

<ParamField body="country" type="string" />

<ParamField body="customer_email" type="string" />

<ParamField body="phone" type="string" />

<ParamField body="product" type="string" />

<ParamField body="osprey_product" type="string" />

<ParamField body="osprey_color" type="string" />

<ParamField body="color" type="string" />

<ParamField body="volume" type="string" />

<ParamField body="quantity" type="string" />

<ParamField body="tags" type="string" />

### Response

`StartWorkflowResponse`

<ResponseField name="workflow_id" type="string" required />

<ResponseField name="run_id" type="string" />

### Status codes

| Code  | Meaning                                                                   |
| ----- | ------------------------------------------------------------------------- |
| `200` | Warranty workflow started for the ticket (idempotent per brand + ticket). |
| `400` | Validation error                                                          |
| `401` | Unauthorized                                                              |
| `404` | Not found                                                                 |
| `429` | Rate limited                                                              |
| `500` | Internal error                                                            |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.workstream.stateset.com/v1/brands/{brand_slug}/warranty/inbound' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
    --header 'Content-Type: application/json' \
    --data '{
    "ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "subject": "Replacement tent pole set",
    "message_body": "string",
    "ticket_type": "string",
    "first_name": "Ada",
    "last_name": "Lovelace",
    "address1": "548 Market St",
    "city": "San Francisco",
    "state": "CA",
    "zipCode": "94107",
    "country": "US",
    "customer_email": "ada.lovelace@example.com",
    "phone": "+1 415 555 0142",
    "product": "string",
    "osprey_product": "string",
    "osprey_color": "string",
    "color": "string",
    "volume": "string",
    "quantity": "string",
    "tags": "priority"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }
  ```
</ResponseExample>
